<?xml version="1.0" encoding="UTF-8"?>
<!--
Document : iReportPlugin.dtd
Created on : 19 maggio 2004, 8.09
Author : Giulio Toffoli
Description: This DTD define the XML descriptor for an iReport plugin.
-->
<!--
iReportPlugin is the root element.
ATTRIBUTES:
name The name of plugin
class The class that extends
it.businesslogic.ireport.plugin.IReportPlugin
loadOnStartup If true, the plugin will be instanced on iReport startup
hide If true, this plugin will be not visible on plugin menu
-->
<!ELEMENT iReportPlugin (Author?,Description?, IconFile?)>
<!ATTLIST iReportPlugin
name NMTOKEN #REQUIRED
class NMTOKEN #REQUIRED
loadOnStartup (true | false) "false"
hide (true | false) "false"
congigurable (true | false) "false"
>
<!ELEMENT Author (#PCDATA)>
<!ELEMENT Description (#PCDATA)>
<!--
Icon file should be a file in the classpath i.e. com/my/plug/in/icon.gif
Is used as optional icon for menu.
Dim: 16x16
-->
<!ELEMENT IconFile (#PCDATA)>